services:
  Telnowedge\BaseBundle\Connection\ConnectionFactory:
    arguments:
      $freePbxContainer: '@freepbx_container'

  default_connection:
    class: Doctrine\DBAL\Connection
    factory: ['@Telnowedge\BaseBundle\Connection\ConnectionFactory', 'getDefaultConnection']

  cdr_connection:
    class: Doctrine\DBAL\Connection
    factory: ['@Telnowedge\BaseBundle\Connection\ConnectionFactory', 'getCdrConnection']
